13 December 2012

[Belajar Wordpress] 5 Tip Mudah Sekuriti Wordpress [Bah. 1]


By on 1:48 PM

Assalamualaikum dan selamat sejahtera.


Seringkali terdengar di buah mulut blogger yang menggunakan Wordpress sebagai medan mencurah ilmu khususnya Wordpress.org atau dikenali sebagai Wordpress Self Hosted berkenaan dengan masalah laman mereka digodam oleh pakar dalam bidang penggodaman. Ini terjadi kerana sekuriti Wordpress Self Hosted dijaga oleh tuan empunya laman itu sendiri. Sekiranya tuan empunya laman kurang peka terhadap masalah sekuriti,maka mudahlah lamannya untuk digodam. Sebab itu penulis selalu ingatkan bahawa untuk membuat sesuatu perkara amatlah mudah,tapi untuk menjaganya terlalu sukar. Begitu juga apabila anda berblogging menggunakan sebarang platform termasuk Blogspot. Jadi,sebagai langkah berhati-hati lebih molek jika anda memeriksa kembali sekuriti Wordpress anda sama ada anda sudah menutup celah-celah keselamatan yang masih terbuka ataupun anda masih belum menutupi celah keselamatan itu. Buat pengetahuan anda,ini merupakan perkara asas yang perlu anda lakukan setelah selesai memasang Wordpress. Sebenarnya,masih terlalu banyak celah kemanan yang perlu anda tutup dan kebanyakkannya perlu dilakukan secara manual.  Sebab itu pentingnya untuk anda belajar skrip php,css,javascript dan pelbagai lagi skrip yang bersangkut paut dengan arena blogging. Tapi,jika anda kurang mahir,maka penggunaan plugin lah yang akan membantu anda dan memudahkan urusan anda.

1.  Readme.html
Fail ini akan sentiasa wujud/muncul sekiranya anda memasang Wordpress melalui Fantastico,Softaculous malah turut wujud apabila anda memasang Wordpress secara manual seperti menggunakan FTP Client mahupun File Manager (Browsers FTP). Melalui fail Readme.html ini seseorang boleh melihat versi Wordpress yang digunakan oleh anda. Meskipun Wordpress sentiasa dan menutup celah-celah atau memperbaiki 'bug' pada versi terbaru keluaran mereka. Tapi,masih ada beberapa celah keselamatan yang perlu anda tutup sendiri.
Saranan: Buang
(Fail terdapat pada folder root/public_html ).

2. Wordpress Version (View Source)
Perkara yang sama seperti fail Readme.html iaitu berkenaan dengan versi Wordpress yang anda gunakan. Versi Wordpress amat penting untuk ditutup kerana seseorang penggodam dapat menggodam apabila mengetahui versi Wordpress yang anda gunakan. Seperti yang penulis katakan tadi. Setiap keluaran Wordpress ada bug yang masih tidak diperbaiki oleh mereka. Ini yang dinamakan sebagai demokrasi terpimpin ciptaan manusia. Sukar untuk mencari yang betul-betul sempurna. 

Log masuk ke Dashboard laman anda,Appearane,Editor,Header (header.php),Ctrl + F, masukkan kata kunci <meta name=”generator” dan hapuskan segala baris yang terdapat seperti gambar diatas mengikut versi Wordpress anda.

3. Install.php.
Kebiasaannya selepas anda selesai memasang Wordpress fail ini akan hilang. Tetapi,sebarang kemungkinan boleh berlaku. Jadi,semak kembali sekiranya terdapat fail ini,maka buanglah. 
Saranan: Buang
(Fail terletak di dalam root/public_html/wp-admin (folder)/install.php)

4. Install-helper.php.
Fail ini sama seperti fail Install.php. Juga berada pada tempat (directory) yang sama dengan fail Install.php.
Saranan: Buang.

5. Setup-confing.php.
Fail ini tidak diperlukan jadi anda boleh membuangnya dengan hati yang tenang. Tidak perlu kusut. Fail ini terletak pada directory yang sama seperti fail Install.php dan Install-helper.php.
Saranan: Buang.


Selesai sudah tip mudah untuk menjaga sekuriti Wordpress anda. Memandangkan ini bahagian pertama. Maka,akan ada sambungannya pada masa akan datang.Sebarang kemusykilan atau pandangan jangan disimpan di dalam hati. Anda perlu lontarkannya (bak kata Ogy).

Sekian,Assalamualaikum.

About Arya Putra a.k.a Dr. Freddy [Admin/Superuser of This Blog]

An enthusiast to the world of the unknown, death metal songs, blogging, motorcycles and have a lot of passion in IT.

0 comments :

Post a Comment